from interface.network.FloatingIP import FloatingIP


class FloatingIPManager:
    def __init__(self) -> None:
        super().__init__()

    def create(self, floating_network_id) -> FloatingIP:
        raise NotImplementedError

    def get(self, id) -> FloatingIP:
        raise NotImplementedError

    def update(self, id, params) -> FloatingIP:
        raise NotImplementedError

    def delete(self, id) -> bool:
        raise NotImplementedError

    def list(self) -> []:
        raise NotImplementedError
