"""
General interface for using the CIRCLE portal API
It should be implemented for using other providers e. g. OpenStack

"""


class NetworkInterfacesInterface:

    def create_interface(self, vlan):
        raise NotImplementedError

    def delete_interface(self, vlan):
        raise NotImplementedError

    def add_vm_to_interface(self):
        raise NotImplementedError

    def remove_vm_from_interface(self):
        raise NotImplementedError

    def list_all_vm_interfaces(self):
        raise NotImplementedError
