"""
General interface for using the CIRCLE portal API
It should be implemented for using other providers e. g. OpenStack

"""


class PortForwardingInterface:

    def create_port_forwarding(self, instance_id, internal_port_number, protocol):
        raise NotImplementedError

    def delete_port_forwarding(self, instance_id, internal_port_number):
        raise NotImplementedError

    def list_instance_port_forwardings(self, instance_id):
        raise NotImplementedError
